# pipelineSummaryResponse

Response containing pipeline summaries with pagination information.

### Examples

```graphql
type PipelineSummaryResponse {
  pipelineSummaries: [PipelineSummary]
  offset: Int
  total: Int
  totalFiltered: Int
}
```

### Fields

| Field                                                                                                                     | Description                                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| pipelineSummaries [`[PipelineSummary]`](/api-documentation/api-reference/api--pipeline/types/objects/pipeline-summary.md) | List of pipeline execution summaries                      | <p>apps <a href="/pages/Ri5CrxLUmQa7EokxaQpc"><code>\[SingleApp]</code></a><br>sourceBranch <code>String</code><br>targetBranch <code>String</code><br>result <code>String</code><br>jobId <code>String</code><br>jobTriggeredBy <code>String</code><br>jobTriggeredAt <code>String</code><br>jobCompletedAt <code>String</code><br>jobDuration <code>Int</code><br>jobTriggeredReason <code>String</code><br>jobUrl <code>String</code><br>totalIssues <code>String</code><br>totalBlockingIssues <code>String</code><br>pullRequestId <code>String</code><br>pullRequestUrl <code>String</code><br>tags <a href="/pages/y5rH8TwbtH39bICq7AGh"><code>\[TagOutput]</code></a><br>issues <a href="/pages/Mi2O2VBqr5x9HuvOy9EX"><code>IssuesBySeverity</code></a><br>eventType <code>String</code><br>cicdType <code>String</code><br>scanCompletionStatus <a href="/pages/TOfWlSiThNYDL0ZbBgR8"><code>PipelineScanCompletionStatus</code></a><br>pipelineScanType <code>String</code><br>artifactInfo <a href="/pages/ILIbQnK170jmpdwZ6qcL"><code>PipelineArtifactInfo</code></a><br>workflows <a href="/pages/iCd8wNVmu4zt1Qv4Iat5"><code>\[OxWorkflow]</code></a></p> |
| offset `Int`                                                                                                              | Current pagination offset                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| total `Int`                                                                                                               | Total number of pipeline summaries available              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| totalFiltered `Int`                                                                                                       | Total number of pipeline summaries after applying filters |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

### References

#### Queries using this object:

* [\<?> getPipelineSummary](/api-documentation/api-reference/api--pipeline/queries/get-pipeline-summary.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/objects/pipeline-summary-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
